|
发表于 2006-8-30 14:34:00
|
显示全部楼层
virtual Acad::ErrorStatus
AcDbEntity::intersectWith(
const AcDbEntity* pEnt,
AcDb::Intersect intType,
AcGePoint3dArray& points,
int thisGsMarker = 0,
int otherGsMarker = 0) const;
pEnt Input entity with which "this" entity is to intersect
intType Input type of intersection requested
points Output with the points of intersection appended
thisGsMarker Input GS marker of subentity of "this" entity that's involved in the intersection operation. Use the 0 default if not applicable.
otherGsMarker Input GS marker of subentity of the entity pointed to by pEnt that's involved in the intersection operation. Use the 0 default if not applicable.
使用这个函数可以求得任意两个图元的所有交点。详情见SDK文档
拷贝,镜像使用getTransformedCopy():
virtual Acad::ErrorStatus
getTransformedCopy(
const AcGeMatrix3d& xform,
AcDbEntity*& pEnt) const;
xform是这个图元的变化矩阵,详情见SDK文档AcGeMatrix3d条目
第二个参数是一个指针,在你使用这个函数的时候,必须给它一个空的指针变量,它将地址返回给你的变量:
旋转使用AcDbEntity::transformBy函数:
virtual Acad::ErrorStatus
transformBy(
const AcGeMatrix3d& xform);
xform是变换矩阵
剪切只能使用trim命令 |
|